Bug 1148456 - Review Request: golang-github-onsi-ginkgo - A Golang BDD Testing Framework
Summary: Review Request: golang-github-onsi-ginkgo - A Golang BDD Testing Framework
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-01 13:49 UTC by Jan Chaloupka
Modified: 2015-02-23 16:10 UTC (History)
2 users (show)

Fixed In Version: golang-github-onsi-ginkgo-0-0.3.git17ea479.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-19 13:21:49 UTC
Type: ---
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2014-10-01 13:49:02 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-onsi-ginkgo/golang-github-onsi-ginkgo.spec
SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-onsi-ginkgo/golang-github-onsi-ginkgo-0-0.1.git90d6a47.fc21.src.rpm
Description: A Golang BDD Testing Framework
Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7740719

$ rpmlint golang-github-onsi-ginkgo.spec /root/rpmbuild/SRPMS/golang-github-onsi-ginkgo-0-0.1.git90d6a47.fc21.src.rpm /root/rpmbuild/RPMS/noarch/golang-github-onsi-ginkgo-devel-0-0.1.git90d6a47.fc21.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Lokesh Mandvekar 2014-10-07 09:05:33 UTC
Not sure if we want to Provide %{import_path}/integration/_fixtures*

If we're installing %{import_path}/integration, the package needs to own all subdirs in integration/

Rest looks good, but will approve once the Provides is confirmed :)

Comment 2 Jan Chaloupka 2014-10-07 11:11:00 UTC
Yes, they don't have to be provided. Spec file updated, links are the same.

Comment 3 Lokesh Mandvekar 2014-10-07 11:32:00 UTC
Probably can get rid of this too:

Provides:	golang(%{import_path}/integration) = %{version}-%{release}

Comment 4 Jan Chaloupka 2014-10-07 11:41:17 UTC
Right, there is only integration.go, which is one line package statement. All other files are test suites. But will keep it in files section is test are always needed.

Again, URLs are the same.

Comment 5 Lokesh Mandvekar 2014-10-07 12:02:00 UTC
Package approved. specfile conforms to Go packaging draft.

Comment 6 Jan Chaloupka 2014-10-07 13:22:45 UTC
New Package SCM Request
=======================
Package Name: golang-github-onsi-ginkgo
Short Description: A Golang BDD Testing Framework
Upstream URL: https://github.com/onsi/ginkgo
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 7 Gwyn Ciesla 2014-10-07 16:51:07 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-10-08 11:29:33 UTC
golang-github-onsi-ginkgo-0-0.1.git90d6a47.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-onsi-ginkgo-0-0.1.git90d6a47.el6

Comment 10 Fedora Update System 2014-10-08 11:30:12 UTC
golang-github-onsi-ginkgo-0-0.1.git90d6a47.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-onsi-ginkgo-0-0.1.git90d6a47.fc20

Comment 11 Fedora Update System 2014-10-08 11:36:49 UTC
golang-github-onsi-ginkgo-0-0.1.git90d6a47.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-onsi-ginkgo-0-0.1.git90d6a47.fc21

Comment 12 Fedora Update System 2014-10-09 19:58:15 UTC
golang-github-onsi-ginkgo-0-0.1.git90d6a47.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 13 Fedora Update System 2014-10-14 08:07:56 UTC
golang-github-onsi-ginkgo-0-0.2.git90d6a47.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-onsi-ginkgo-0-0.2.git90d6a47.el6

Comment 14 Fedora Update System 2014-10-19 13:21:49 UTC
golang-github-onsi-ginkgo-0-0.1.git90d6a47.fc20 has been pushed to the Fedora 20 stable repository.

Comment 15 Fedora Update System 2015-02-06 15:59:43 UTC
golang-github-onsi-ginkgo-0-0.3.git17ea479.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-onsi-ginkgo-0-0.3.git17ea479.fc20

Comment 16 Fedora Update System 2015-02-06 16:00:25 UTC
golang-github-onsi-ginkgo-0-0.3.git17ea479.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-onsi-ginkgo-0-0.3.git17ea479.fc21

Comment 17 Fedora Update System 2015-02-06 16:02:20 UTC
golang-github-onsi-ginkgo-0-0.3.git17ea479.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-onsi-ginkgo-0-0.3.git17ea479.el6

Comment 18 Fedora Update System 2015-02-17 08:05:15 UTC
golang-github-onsi-ginkgo-0-0.3.git17ea479.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-02-17 08:07:57 UTC
golang-github-onsi-ginkgo-0-0.3.git17ea479.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-02-23 16:10:12 UTC
golang-github-onsi-ginkgo-0-0.3.git17ea479.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.